/*
 *  DO NOT EDIT. AUTOMATICALLY CREATED
 */

/*
 *  Copyright (C) 2005  Anders Gavare.  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright  
 *     notice, this list of conditions and the following disclaimer in the 
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE   
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 *   
 *
 *  $Id: autodev_head.c,v 1.5 2005/11/08 11:01:46 debug Exp $
 *
 *  Automatically register all devices from the devices/ subdir.
 *
 *  NOTE: autodev_head.c, plus a line for each device, plus autodev_middle.c,
 *  plus another line (again) for each device, plus autodev_tail.c should be
 *  combined into one. See makeautodev.sh for more info.
 */

#include "stdio.h"

#include "bus_pci.h"
#include "device.h"

int devinit_8250(struct devinit *);
int devinit_8253(struct devinit *);
int devinit_8259(struct devinit *);
int devinit_ahc(struct devinit *);
int devinit_bebox(struct devinit *);
int devinit_cons(struct devinit *);
int devinit_dec21030(struct devinit *);
int devinit_dec21143(struct devinit *);
int devinit_disk(struct devinit *);
int devinit_ether(struct devinit *);
int devinit_fdc(struct devinit *);
int devinit_footbridge(struct devinit *);
int devinit_i80321(struct devinit *);
int devinit_jazz(struct devinit *);
int devinit_kn210(struct devinit *);
int devinit_kn230(struct devinit *);
int devinit_lpt(struct devinit *);
int devinit_malta_lcd(struct devinit *);
int devinit_mp(struct devinit *);
int devinit_ns16550(struct devinit *);
int devinit_ohci(struct devinit *);
int devinit_pccmos(struct devinit *);
int devinit_pcic(struct devinit *);
int devinit_prep(struct devinit *);
int devinit_ps2_ether(struct devinit *);
int devinit_ps2_gif(struct devinit *);
int devinit_ps2_gs(struct devinit *);
int devinit_random(struct devinit *);
int devinit_rd94(struct devinit *);
int devinit_sgi_ip19(struct devinit *);
int devinit_sgi_mardigras(struct devinit *);
int devinit_sn(struct devinit *);
int devinit_unreadable(struct devinit *);
int devinit_wdc(struct devinit *);
int devinit_zero(struct devinit *);
void pciinit_igsfb(struct machine *, struct memory *, struct pci_device *);
void pciinit_s3_virge(struct machine *, struct memory *, struct pci_device *);
void pciinit_ali_m1543(struct machine *, struct memory *, struct pci_device *);
void pciinit_ali_m5229(struct machine *, struct memory *, struct pci_device *);
void pciinit_ahc(struct machine *, struct memory *, struct pci_device *);
void pciinit_gt64011(struct machine *, struct memory *, struct pci_device *);
void pciinit_gt64120(struct machine *, struct memory *, struct pci_device *);
void pciinit_i82371ab_isa(struct machine *, struct memory *, struct pci_device *);
void pciinit_i82378zb(struct machine *, struct memory *, struct pci_device *);
void pciinit_i82371ab_ide(struct machine *, struct memory *, struct pci_device *);
void pciinit_ibm_isa(struct machine *, struct memory *, struct pci_device *);
void pciinit_heuricon_pmppc(struct machine *, struct memory *, struct pci_device *);
void pciinit_vt82c586_isa(struct machine *, struct memory *, struct pci_device *);
void pciinit_vt82c586_ide(struct machine *, struct memory *, struct pci_device *);
void pciinit_symphony_83c553(struct machine *, struct memory *, struct pci_device *);
void pciinit_symphony_82c105(struct machine *, struct memory *, struct pci_device *);
void pciinit_dec21143(struct machine *, struct memory *, struct pci_device *);
void pciinit_dec21030(struct machine *, struct memory *, struct pci_device *);
void pciinit_eagle(struct machine *, struct memory *, struct pci_device *);

/*  $Id: autodev_middle.c,v 1.1 2005/02/22 13:23:43 debug Exp $  */

/*
 *  autodev_init():
 */
void autodev_init(void)
{
	/*  printf("autodev_init()\n");  */

	/*  autodev_middle.c ends here.  */

	device_register("8250", devinit_8250);
	device_register("8253", devinit_8253);
	device_register("8259", devinit_8259);
	device_register("ahc", devinit_ahc);
	device_register("bebox", devinit_bebox);
	device_register("cons", devinit_cons);
	device_register("dec21030", devinit_dec21030);
	device_register("dec21143", devinit_dec21143);
	device_register("disk", devinit_disk);
	device_register("ether", devinit_ether);
	device_register("fdc", devinit_fdc);
	device_register("footbridge", devinit_footbridge);
	device_register("i80321", devinit_i80321);
	device_register("jazz", devinit_jazz);
	device_register("kn210", devinit_kn210);
	device_register("kn230", devinit_kn230);
	device_register("lpt", devinit_lpt);
	device_register("malta_lcd", devinit_malta_lcd);
	device_register("mp", devinit_mp);
	device_register("ns16550", devinit_ns16550);
	device_register("ohci", devinit_ohci);
	device_register("pccmos", devinit_pccmos);
	device_register("pcic", devinit_pcic);
	device_register("prep", devinit_prep);
	device_register("ps2_ether", devinit_ps2_ether);
	device_register("ps2_gif", devinit_ps2_gif);
	device_register("ps2_gs", devinit_ps2_gs);
	device_register("random", devinit_random);
	device_register("rd94", devinit_rd94);
	device_register("sgi_ip19", devinit_sgi_ip19);
	device_register("sgi_mardigras", devinit_sgi_mardigras);
	device_register("sn", devinit_sn);
	device_register("unreadable", devinit_unreadable);
	device_register("wdc", devinit_wdc);
	device_register("zero", devinit_zero);
	pci_register("igsfb", pciinit_igsfb);
	pci_register("s3_virge", pciinit_s3_virge);
	pci_register("ali_m1543", pciinit_ali_m1543);
	pci_register("ali_m5229", pciinit_ali_m5229);
	pci_register("ahc", pciinit_ahc);
	pci_register("gt64011", pciinit_gt64011);
	pci_register("gt64120", pciinit_gt64120);
	pci_register("i82371ab_isa", pciinit_i82371ab_isa);
	pci_register("i82378zb", pciinit_i82378zb);
	pci_register("i82371ab_ide", pciinit_i82371ab_ide);
	pci_register("ibm_isa", pciinit_ibm_isa);
	pci_register("heuricon_pmppc", pciinit_heuricon_pmppc);
	pci_register("vt82c586_isa", pciinit_vt82c586_isa);
	pci_register("vt82c586_ide", pciinit_vt82c586_ide);
	pci_register("symphony_83c553", pciinit_symphony_83c553);
	pci_register("symphony_82c105", pciinit_symphony_82c105);
	pci_register("dec21143", pciinit_dec21143);
	pci_register("dec21030", pciinit_dec21030);
	pci_register("eagle", pciinit_eagle);

	/*  autodev_tail.c  */
}

